package com.izforge.izpack.gui.patternfly;

import com.izforge.izpack.gui.UiResources;

import javax.swing.*;
import javax.swing.plaf.ComponentUI;
import javax.swing.plaf.basic.BasicTextPaneUI;
import javax.swing.text.BadLocationException;
import java.awt.*;

/**
 * Created by daniel on 11/28/16.
 */
public class PatternflyJTextPaneUI extends BasicTextPaneUI {

    public PatternflyJTextPaneUI(){
        super();
    }

    @Override
    public void update(Graphics g, JComponent c) {
        super.update(g,c);
        JTextPane hl = (JTextPane) c;

        if(hl.hasFocus()){
            Rectangle bounds = null;
            try {
                bounds = hl.modelToView(0);
            } catch (BadLocationException e) {
                e.printStackTrace();
            }
            int textWidth = c.getVisibleRect().width-2;
            int textHeight = bounds.height;
            paintFocusBorder(g, textHeight, textWidth);
            }
    }

    private void paintFocusBorder(Graphics g, int th, int tw){
        Graphics2D g2d = (Graphics2D) g;
        g2d.setColor(UiResources.blueFocus);
        g2d.setStroke(new BasicStroke());
        g2d.draw(new Rectangle(0, 0, tw, th));

    }
    public static ComponentUI createUI(JComponent c) {
        return new PatternflyJTextPaneUI();
    }
}
